class test{

public mfl.Integer get_test(){
  mfl.Integer result = new mfl.Integer();
  System.out.println(new mfl.Enumerated_set(0).toString());
  System.out.println(new mfl.Enumerated_set(1).append(new mfl.Integer(1)).toString());
  System.out.println(new mfl.Enumerated_set(2).append(new mfl.Integer(1)).append(new mfl.Integer(2)).toString());
  System.out.println(new mfl.Integer(1).in_op(new mfl.Enumerated_set(2).append(new mfl.Integer(1)).append(new mfl.Integer(2))).toString());
  System.out.println(new mfl.Integer(3).in_op(new mfl.Enumerated_set(2).append(new mfl.Integer(1)).append(new mfl.Integer(2))).toString());
  return result;
}

public static void main(String Argv[]){
  test m = new test();
  m.get_test();
}

}

